Bug 166814 - Rebuild of libmodplug requires rebuild of xmms-modplug
Rebuild of libmodplug requires rebuild of xmms-modplug
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xmms-modplug (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-25 20:21 EDT by Adam Goode
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-26 05:19:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2005-08-25 20:21:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Thanks to the fix from bug #166127, the signature for at least 1 function in libmodplug has changed, with some parameters going from long to int. If xmms-modplug is not rebuilt, then xmms will fail with this error:

xmms: symbol lookup error: /usr/lib64/xmms/Input/libmodplugxmms.so: undefined symbol: _ZN10CSoundFile13SetWaveConfigEmmmb

(Really it should be getting _ZN10CSoundFile13SetWaveConfigEjjjb.)

A simple rebuild against the new libmodplug-devel will fix this.

Version-Release number of selected component (if applicable):
xmms-modplug-2.05-3

How reproducible:
Always

Steps to Reproduce:
1. run xmms
2. make sure libmodplug is the plugin for mods
3. load a modfile

Additional info:
Comment 1 Warren Togami 2005-08-25 22:20:05 EDT
Build queued in FC-3, FC-4, and devel.

Note You need to log in before you can comment on or make changes to this bug.